<template>
  <div class="card panel-card" :id="getId">
    <div :class="getClasses">
      <h2 class="card-title">{{ remark.user }} {{ remark.created }}</h2>
      <p class="card-text">{{ remark.content }}</p>
    </div>
  </div>
</template>

<script>
export default {
  name: "BlockRemark",
  props: {
    remark: {
      type: Object
    }
  },
  computed: {
    getId() {
      return `help_${this.remark.idHelpAccepted}`
    },
    getClasses() {
      if (this.remark.userId === this.remark.userLogged) {
        return 'card-body color-green rightBubble';
      } else {
        return 'card-body color-green leftBubble';
      }
    }
  }
}
</script>

<style scoped>
.leftBubble {
  width: 100%;
  background-color: #f5f5f5;
  color:#6d3e2e;
  padding: 7px;
  position: relative;
  -moz-border-radius: 10px;
  -webkit-border-radius: 10px;
  border-radius: 10px;
  margin-bottom: 3px;
}
.leftBubble::before {
  content:"";
  position: absolute;
  right: 100%;
  top:26px;
  width: 0;
  height: 0;
  border-top: 13px solid transparent;
  border-right: 26px solid #f5f5f5;
  border-bottom: 13px solid transparent;
}

.rightBubble {
  width: 100%;
  background-color: #6d3e2e;
  color: #f5f5f5;
  padding: 7px;
  position: relative;
  -moz-border-radius: 10px;
  -webkit-border-radius: 10px;
  border-radius: 10px;
  margin-bottom: 3px;
}
.rightBubble .card-text {
  color: #f5f5f5;
}

.rightBubble::after {
  content:"";
  position: absolute;
  left: 100%;
  top:26px;
  width: 0;
  height: 0;
  border-top: 13px solid transparent;
  border-left: 26px solid #6d3e2e;
  border-bottom: 13px solid transparent;
}
</style>